<template>
  <app-user-page :breadcrumbs="breadcrumbs">
    <div class="row justify-content-center">
      <div class="col-12">
        <CCard class="box-notification" accent-color="success">
          <CCardHeader><h4>お知らせ</h4></CCardHeader>
          <CCardBody v-html="getNewMessage">
            {{ getNewMessage }}
          </CCardBody>
        </CCard>
      </div>
    </div>
  </app-user-page>
</template>

<style lang="scss" scoped>
  .box-notification {
    box-shadow: 0 0 5px 2px rgba(0, 0, 0, 0.1);
  }
</style>
<script>
export default {
  layout: 'user',

  data () {
    return {
      data: []
    }
  },

  computed: {
    /**
     * Generate breadcrumbs
     *
     * @return {array} List breadcrumbs
     */
    breadcrumbs () {
      return [
        {
          text: 'ホーム',
          to: '/'
        },
        {
          text: 'お知らせ'
        }
      ]
    },

    /**
     * Get new message
     *
     * @return {string} Notice message
     */
    getNewMessage () {
      let message = ''
      if (this.data && this.data.length) {
        message = this.data[0].message
      }
      return message
    }
  },

  mounted () {
    this.getNotice()
  },

  methods: {
    /**
     * Call API get item list by condition search
     * Show data on table result
     *
     * @return {Object} API response for error handle
     */
    getNotice () {
      this.$dam.getNotificationList()
        .then((res) => {
          this.data = res.data
        })
        .catch((err) => {
          console.error(err)

          this.$toast.error(
            this.$text.error('FAILED_TO_GET', { name: 'Notification' })
          )
        })
    }

  }

}
</script>
